Subject: Re: Hing??

From: [email-masked] (Ravi Sankrit)
Date: Fri, 3 Mar 1995 16:42:39 GMT

In article <[email-masked]>, [email-masked] (Kevin Day) writes:
|>   I have a recipe (North Indian) that calls for "hing". What is it?
|> Where can you find it?

 The english word for hing is ASAFOETIDA (sp?).  I have found this
 available at Indian stores (actually any store carrying Indian/Asian
 condiments) and not looked any further.  If it helps, the most popular
 brand is "LG" and comes in a small plastic white plastic bottle.

	Ravi